# Uses of Class
org.eclipse.mat.parser.internal.snapshot.RetainedSizeCache

Packages that use RetainedSizeCache
Package
Description
org.eclipse.mat.parser.index
Implementations for handling indexes.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).

## Uses of RetainedSizeCache in org.eclipse.mat.parser.index

Fields in org.eclipse.mat.parser.index declared as RetainedSizeCache
Modifier and Type
Field
Description
`RetainedSizeCache`
IndexManager.`i2sv2`
The cache for the retained size from the object ID

## Uses of RetainedSizeCache in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return RetainedSizeCache
Modifier and Type
Method
Description
`RetainedSizeCache`
SnapshotImpl.`getRetainedSizeCache()`
The cache to speed the finding of the retained size for each object.